import { getBanner, addBanner } from '@/api/banner'

const banner = {
  actions: {

    GetBanner({ commit }, listQuery) {
      return new Promise((resolve, reject) => {
        getBanner(listQuery).then(response => {
          const data = response.data
          resolve(data)
        }).catch(error => {
          reject(error)
        })
        resolve
      })
    },

    // 添加 banner
    AddBanner({ commit }, banner) {
      return new Promise((resolve, reject) => {
        addBanner(banner).then(response => {
          resolve(response)
        }).catch(error => {
          reject(error)
        })
      })
    }
  }
}

export default banner
