import request from '@/utils/request'

export function getBanner(banner) {
  return request({
    url: '/banner/list',
    method: 'get',
    params: banner
  })
}

export function addBanner(banner) {
  return request({
    url: '/banner',
    method: 'post',
    data: banner
  })
}

export function updateArticle(...banner) {
  return request({
    url: '/banner/list',
    method: 'get',
    params: {
      ...banner
    }
  })
}

export function fetchPv(...banner) {
  return request({
    url: '/banner/list',
    method: 'get',
    params: {
      ...banner
    }
  })
}
